//----------------------------------------------------------------------
// euclid3.js
// Author: Bob Dondero
//----------------------------------------------------------------------

'use strict';

//----------------------------------------------------------------------

exports.gcd = function(i, j) {

   if ((i === 0) && (j === 0))
      throw new Error('Computation is undefined');

   i = Math.abs(i);
   j = Math.abs(j);
   while (j !== 0) {
      let temp = i % j;
      i = j;
      j = temp;
   }
   return i;
}

//----------------------------------------------------------------------

exports.lcm = function(i, j) {

   if ((i === 0) || (j === 0))
      throw new Error('Computation is undefined');

   i = Math.abs(i);
   j = Math.abs(j);
   return (i / exports.gcd(i, j)) * j;
}

//----------------------------------------------------------------------
